AntiFeatures:
  - NonFreeNet
Categories:
  - Internet
License: Apache-2.0
AuthorName: DuckDuckGo
AuthorEmail: android@duckduckgo.com
AuthorWebSite: https://duckduckgo.com/
WebSite: https://duckduckgo.com/app
SourceCode: https://github.com/duckduckgo/Android
IssueTracker: https://github.com/duckduckgo/Android/issues
Changelog: https://github.com/duckduckgo/Android/releases

Name: DuckDuckGo Privacy Browser
AutoName: DuckDuckGo
Description: |-
    At DuckDuckGo, we believe the Internet shouldn't feel so creepy, and getting the
    privacy you deserve online should be as simple as closing the blinds.

    Our app provides the privacy essentials you need to seamlessly take control of
    your personal information as you search and browse the web, no matter where the
    Internet takes you:

    * Escape Advertising Tracker Networks — Our Privacy Protection will block all the hidden third-party trackers we can find, exposing the major advertising networks tracking you over time, so that you can track who's trying to track you.
    * Increase Encryption Protection — We force sites to use an encrypted connection where available, protecting your data from prying eyes, like ISPs.
    * Search Privately — You share your most personal information with your search engine, like your financial, medical, and political questions. What you search for is your own business, which is why DuckDuckGo search doesn't track you. Ever.
    * Decode Privacy Policies — We've partnered with Terms of Service Didn't Read to include their scores and labels of website terms of service and privacy policies, where available.

    As you search and browse, the DuckDuckGo Privacy Browser shows you a Privacy
    Grade rating when you visit a website (A-F). This rating lets you see how
    protected you are at a glance, dig into the details to see who we caught trying
    to track you, and learn how we enhanced the underlying site's privacy measures.
    The Privacy Grade is scored automatically based on the prevalence of hidden
    tracker networks, encryption availability, and website privacy practices.

    Our app provides standard browsing functionality including tabs, bookmarks, and
    autocomplete. In addition to strong Privacy Protection as described above, we
    also packed in some extra privacy features into the browser itself:

    * Fire Button — Clear all your tabs and data with one tap.
    * Application Lock — Secure the app with Touch ID or Face ID.

    Too many people believe you simply can't expect privacy on the Internet. We're
    fighting to change that, and have made it our mission to set a new standard of
    trust online. Install DuckDuckGo and take back your privacy!

    Antifeatures:
    * NonFreeNet - Uses DuckDuckGo as the exclusive search engine, for which the
    source code is not available.

RepoType: git
Repo: https://github.com/duckduckgo/Android

Builds:
  - versionName: 2.1.1
    versionCode: 52
    commit: v2.1.1
    srclibs:
      - NetCipher@4fe34ede3f44d968e55

  - versionName: 2.1.2
    versionCode: 53
    commit: v2.1.2
    submodules: true

  - versionName: 2.1.3
    versionCode: 54
    commit: v2.1.3
    submodules: true

  - versionName: 2.1.4
    versionCode: 55
    commit: v2.1.4
    submodules: true

  - versionName: 2.1.6
    versionCode: 57
    commit: v2.1.6
    submodules: true
    prebuild: cp libs/android-support-v4.jar libs/OnionKit/libnetcipher/libs/android-support-v4.jar

  - versionName: 2.1.9
    versionCode: 60
    commit: 683ce1862af5aaa59bb4368ceae46312c57b64ef
    submodules: true
    prebuild: cp libs/android-support-v4.jar libs/OnionKit/libnetcipher/libs/android-support-v4.jar

  - versionName: 2.1.10
    versionCode: 61
    commit: c60349d8eacc02dc612ccc137d55816f66b8a876
    submodules: true
    prebuild: cp libs/android-support-v4.jar libs/OnionKit/libnetcipher/libs/android-support-v4.jar

  - versionName: 3.0.2
    versionCode: 64
    commit: ca829f96f7ade3009cd1c2006c6ce0771704df37
    submodules: true
    gradle:
      - yes
    rm:
      - libs/picasso*.jar
      - libs/acra*.jar
      - libs/otto*.jar
    prebuild: sed -i -e '/fileTree/acompile "com.squareup:otto:1.3.7"\ncompile "ch.acra:acra:4.5.0"\ncompile
        "com.squareup.picasso:picasso:2.5.2"' build.gradle

  - versionName: 3.0.3
    versionCode: 65
    commit: v3.0.3
    submodules: true
    gradle:
      - yes
    rm:
      - libs/picasso*.jar
      - libs/acra*.jar
      - libs/otto*.jar
    prebuild: sed -i -e '/fileTree/acompile "com.squareup:otto:1.3.7"\ncompile "ch.acra:acra:4.5.0"\ncompile
        "com.squareup.picasso:picasso:2.5.2"' build.gradle

  - versionName: 3.0.4
    versionCode: 66
    commit: v3.0.4
    submodules: true
    gradle:
      - yes
    rm:
      - libs/picasso*.jar
      - libs/acra*.jar
      - libs/otto*.jar
    prebuild: sed -i -e '/fileTree/acompile "com.squareup:otto:1.3.7"\ncompile "ch.acra:acra:4.5.0"\ncompile
        "com.squareup.picasso:picasso:2.5.2"' build.gradle

  - versionName: 3.0.5
    versionCode: 67
    commit: bac864818338252361960ea4f0ee18f906e47799
    submodules: true
    gradle:
      - yes
    rm:
      - libs/picasso*.jar
      - libs/acra*.jar
      - libs/otto*.jar
    prebuild: sed -i -e '/fileTree/acompile "com.squareup:otto:1.3.7"\ncompile "ch.acra:acra:4.5.0"\ncompile
        "com.squareup.picasso:picasso:2.5.2"' build.gradle

  - versionName: 3.0.6
    versionCode: 68
    commit: 897ad0f4b7996217f4ea4ab819262dbaeb759893
    submodules: true
    gradle:
      - yes
    rm:
      - libs/picasso*.jar
      - libs/acra*.jar
      - libs/otto*.jar
    prebuild: sed -i -e '/fileTree/acompile "com.squareup:otto:1.3.7"\ncompile "ch.acra:acra:4.5.0"\ncompile
        "com.squareup.picasso:picasso:2.5.2"' build.gradle

  - versionName: 3.0.7
    versionCode: 69
    commit: 16655ecf6951ddae4a4672fd6ce6a3809c28c008
    submodules: true
    gradle:
      - yes
    rm:
      - libs/picasso*.jar
      - libs/acra*.jar
      - libs/otto*.jar
    prebuild: sed -i -e '/fileTree/acompile "com.squareup:otto:1.3.7"\ncompile "ch.acra:acra:4.5.0"\ncompile
        "com.squareup.picasso:picasso:2.5.2"' build.gradle

  - versionName: 3.0.8
    versionCode: 70
    commit: 0a1e6698ee52aa48be6c
    submodules: true
    gradle:
      - yes

  - versionName: 3.0.9
    versionCode: 71
    commit: v3.0.9
    submodules: true
    gradle:
      - yes
    scanignore:
      - libs/OnionKit/libnetcipher/external/pinning/res/raw/cacerts

  - versionName: 3.0.10
    versionCode: 72
    commit: v3.0.10
    submodules: true
    gradle:
      - yes
    scanignore:
      - libs/OnionKit/libnetcipher/external/pinning/res/raw/cacerts

  - versionName: 3.0.11
    versionCode: 73
    commit: v3.0.11
    submodules: true
    gradle:
      - yes
    scanignore:
      - libs/OnionKit/libnetcipher/external/pinning/res/raw/cacerts

  - versionName: 3.0.12
    versionCode: 74
    commit: 3.0.12
    submodules: true
    gradle:
      - yes
    scanignore:
      - libs/OnionKit/libnetcipher/external/pinning/res/raw/cacerts

  - versionName: 3.0.13
    versionCode: 75
    commit: 3.0.13
    submodules: true
    gradle:
      - yes
    scanignore:
      - libs/OnionKit/libnetcipher/external/pinning/res/raw/cacerts

  - versionName: 3.0.14
    versionCode: 76
    commit: 3.0.14
    submodules: true
    gradle:
      - yes
    scanignore:
      - libs/OnionKit/libnetcipher/external/pinning/res/raw/cacerts

  - versionName: 3.0.17
    versionCode: 79
    commit: 3.0.17
    submodules: true
    gradle:
      - yes
    scanignore:
      - libs/OnionKit/libnetcipher/external/pinning/res/raw/cacerts

  - versionName: 3.1.0
    versionCode: 100
    commit: 3.1.0
    submodules: true
    gradle:
      - yes
    scanignore:
      - libs/OnionKit/libnetcipher/external/pinning/res/raw/cacerts

  - versionName: 3.1.1
    versionCode: 101
    commit: 3.1.1
    submodules: true
    gradle:
      - yes
    scanignore:
      - libs/OnionKit/libnetcipher/external/pinning/res/raw/cacerts

  - versionName: 4.1.1
    versionCode: 40101
    commit: 4.1.1
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r15c

  - versionName: 4.3.0
    versionCode: 40300
    commit: 4.3.0
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r16b

  - versionName: 5.2.0
    versionCode: 50200
    commit: 5.2.0
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r16b
    antifeatures:
      - Tracking

  - versionName: 5.6.0
    versionCode: 50600
    commit: 5.6.0
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r16b
    antifeatures:
      - Tracking

  - versionName: 5.6.1
    versionCode: 50601
    commit: 5.6.1
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r16b
    antifeatures:
      - Tracking

  - versionName: 5.7.0
    versionCode: 50700
    commit: 5.7.0
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r16b
    antifeatures:
      - Tracking

  - versionName: 5.7.1
    versionCode: 50701
    commit: 5.7.1
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r16b
    antifeatures:
      - Tracking

  - versionName: 5.7.2
    versionCode: 50702
    commit: 5.7.2
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r16b
    antifeatures:
      - Tracking

  - versionName: 5.7.3
    versionCode: 50703
    commit: 5.7.3
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r16b
    antifeatures:
      - Tracking

  - versionName: 5.7.5
    versionCode: 50705
    commit: 5.7.5
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r16b
    antifeatures:
      - Tracking

  - versionName: 5.8.0
    versionCode: 50800
    commit: 5.8.0
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r16b
    antifeatures:
      - Tracking

  - versionName: 5.9.0
    versionCode: 50900
    commit: 5.9.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r17b
    antifeatures:
      - Tracking

  - versionName: 5.9.1
    versionCode: 50901
    commit: 5.9.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r17b
    antifeatures:
      - Tracking

  - versionName: 5.10.2
    versionCode: 51002
    commit: 5.10.2
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r17b
    antifeatures:
      - Tracking

  - versionName: 5.10.3
    versionCode: 51003
    commit: 5.10.3
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r17b
    antifeatures:
      - Tracking

  - versionName: 5.10.4
    versionCode: 51004
    commit: 5.10.4
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r17b
    antifeatures:
      - Tracking

  - versionName: 5.13.0
    versionCode: 51300
    commit: 5.13.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r17b
    antifeatures:
      - Tracking

  - versionName: 5.15.1
    versionCode: 51501
    commit: 5.15.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r18b
    antifeatures:
      - Tracking

  - versionName: 5.18.0
    versionCode: 51800
    commit: 5.18.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r18b
    antifeatures:
      - Tracking

  - versionName: 5.19.0
    versionCode: 51900
    commit: 5.19.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r18b
    antifeatures:
      - Tracking

  - versionName: 5.20.0
    versionCode: 52000
    commit: 5.20.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r18b
    antifeatures:
      - Tracking

  - versionName: 5.21.1
    versionCode: 52101
    commit: 5.21.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r18b
    antifeatures:
      - Tracking

  - versionName: 5.21.2
    versionCode: 52102
    commit: 5.21.2
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r18b
    antifeatures:
      - Tracking

  - versionName: 5.24.0
    versionCode: 52400
    commit: 5.24.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r18b
    antifeatures:
      - Tracking

  - versionName: 5.26.0
    versionCode: 52600
    commit: 5.26.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r18b
    antifeatures:
      - Tracking

  - versionName: 5.26.1
    versionCode: 52601
    commit: 5.26.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r18b
    antifeatures:
      - Tracking

  - versionName: 5.27.0
    versionCode: 52700
    commit: 5.27.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r18b
    antifeatures:
      - Tracking

  - versionName: 5.28.3
    versionCode: 52803
    commit: 5.28.3
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r18b
    antifeatures:
      - Tracking

  - versionName: 5.32.1
    versionCode: 53201
    commit: 5.32.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r18b
    antifeatures:
      - Tracking

  - versionName: 5.34.0
    versionCode: 53400
    commit: 5.34.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r18b
    antifeatures:
      - Tracking

  - versionName: 5.36.3
    versionCode: 53603
    commit: 5.36.3
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r18b
    antifeatures:
      - Tracking

  - versionName: 5.40.3
    versionCode: 54003
    commit: 5.40.3
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r20b
    antifeatures:
      - Tracking

  - versionName: 5.41.0
    versionCode: 54100
    commit: 5.41.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r20b
    antifeatures:
      - Tracking

  - versionName: 5.43.0
    versionCode: 54300
    commit: 5.43.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r20b
    antifeatures:
      - Tracking

  - versionName: 5.46.0
    versionCode: 54600
    commit: 5.46.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r20b
    antifeatures:
      - Tracking

  - versionName: 5.48.0
    versionCode: 54800
    commit: 5.48.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r20b
    antifeatures:
      - Tracking

  - versionName: 5.49.1
    versionCode: 54901
    commit: 5.49.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r20b
    antifeatures:
      - Tracking

  - versionName: 5.50.1
    versionCode: 55001
    commit: 5.50.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r20b
    antifeatures:
      - Tracking

  - versionName: 5.51.0
    versionCode: 55100
    commit: 5.51.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r20b
    antifeatures:
      - Tracking

  - versionName: 5.53.1
    versionCode: 55301
    commit: 5.53.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    ndk: r21
    antifeatures:
      - Tracking

  - versionName: 5.55.1
    versionCode: 55501
    commit: 5.55.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    prebuild: sed -i -e 's/21.0.6113669/21.1.6352462/' app/build.gradle
    ndk: r21b
    antifeatures:
      - Tracking

  - versionName: 5.59.2
    versionCode: 55902
    commit: 5.59.2
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    rm:
      - styleguide/ddg-settings.zip
    prebuild: sed -i -e 's/21.0.6113669/21.3.6528147/' app/build.gradle
    ndk: r21d

  - versionName: 5.60.0
    versionCode: 56000
    commit: 5.60.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    rm:
      - styleguide/ddg-settings.zip
    prebuild: sed -i -e 's/21.0.6113669/21.3.6528147/' app/build.gradle
    ndk: r21d

  - versionName: 5.61.2
    versionCode: 56102
    commit: 5.61.2
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    rm:
      - styleguide/ddg-settings.zip
    prebuild: sed -i -e 's/21.0.6113669/21.3.6528147/' app/build.gradle
    ndk: r21d

  - versionName: 5.62.0
    versionCode: 56200
    commit: 5.62.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    rm:
      - styleguide/ddg-settings.zip
    prebuild: sed -i -e 's/21.0.6113669/21.3.6528147/' app/build.gradle
    ndk: r21d

  - versionName: 5.63.1
    versionCode: 56301
    commit: 5.63.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    rm:
      - styleguide/ddg-settings.zip
    prebuild: sed -i -e 's/21.0.6113669/21.3.6528147/' app/build.gradle
    ndk: r21d

  - versionName: 5.65.0
    versionCode: 56500
    commit: 5.65.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    rm:
      - styleguide/ddg-settings.zip
    prebuild: sed -i -e 's/21.0.6113669/21.3.6528147/' app/build.gradle
    ndk: r21d

  - versionName: 5.67.0
    versionCode: 56700
    commit: 5.67.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    rm:
      - styleguide/ddg-settings.zip
    prebuild: sed -i -e 's/21.0.6113669/21.3.6528147/' app/build.gradle
    ndk: r21d

  - versionName: 5.68.0
    versionCode: 56800
    commit: 5.68.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/duckduckgo-$$VERSION$$-release-unsigned.apk
    rm:
      - styleguide/ddg-settings.zip
    prebuild: sed -i -e 's/21.0.6113669/21.3.6528147/' app/build.gradle
    ndk: r21d

  - versionName: 5.78.1
    versionCode: 57801
    commit: 5.78.1
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e 's/21.0.6113669/21.4.7075529/' app/build.gradle
    ndk: r21e

  - versionName: 5.79.0
    versionCode: 57900
    commit: 5.79.0
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e 's/21.0.6113669/21.4.7075529/' app/build.gradle
    ndk: r21e

  - versionName: 5.80.0
    versionCode: 58000
    commit: 5.80.0
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e 's/21.0.6113669/21.4.7075529/' app/build.gradle
    ndk: r21e

  - versionName: 5.81.0
    versionCode: 58100
    commit: 5.81.0
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e 's/21.0.6113669/21.4.7075529/' app/build.gradle
    ndk: r21e

  - versionName: 5.85.0
    versionCode: 58500
    commit: 5.85.0
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e 's/21.0.6113669/21.4.7075529/' app/build.gradle
    ndk: r21e

  - versionName: 5.85.1
    versionCode: 58501
    commit: 5.85.1
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e 's/21.0.6113669/21.4.7075529/' app/build.gradle
    ndk: r21e

  - versionName: 5.85.3
    versionCode: 58503
    commit: 5.85.3
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e 's/21.0.6113669/21.4.7075529/' app/build.gradle
    ndk: r21e

  - versionName: 5.86.2
    versionCode: 58602
    commit: 5.86.2
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e 's/21.0.6113669/21.4.7075529/' app/build.gradle
    ndk: r21e

  - versionName: 5.87.0
    versionCode: 58700
    commit: 5.87.0
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e 's/21.0.6113669/21.4.7075529/' app/build.gradle
    ndk: r21e

  - versionName: 5.88.0
    versionCode: 58800
    commit: 5.88.0
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e 's/21.0.6113669/21.4.7075529/' app/build.gradle
    ndk: r21e

  - versionName: 5.89.1
    versionCode: 58901
    commit: 5.89.1
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e 's/21.0.6113669/21.4.7075529/' app/build.gradle
    ndk: r21e

  - versionName: 5.90.0
    versionCode: 59000
    commit: 5.90.0
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    ndk: r21

  - versionName: 5.91.0
    versionCode: 59100
    commit: 5.91.0
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    ndk: r21

  - versionName: 5.92.0
    versionCode: 59200
    commit: 5.92.0
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    ndk: r21

  - versionName: 5.92.1
    versionCode: 59201
    commit: 5.92.1
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    ndk: r21

  - versionName: 5.93.0
    versionCode: 59300
    commit: 5.93.0
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    ndk: r21

  - versionName: 5.94.3
    versionCode: 59403
    commit: 5.94.3
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    ndk: r21

  - versionName: 5.95.0
    versionCode: 59500
    commit: 5.95.0
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    ndk: r21

  - versionName: 5.97.0
    versionCode: 59700
    commit: 5.97.0
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    ndk: r21

  - versionName: 5.98.1
    versionCode: 50981000
    commit: 5.98.1
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    ndk: r21

  - versionName: 5.102.3
    versionCode: 51023000
    commit: 5.102.3
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild:
      - wget -O /tmp/cmdline-tools.zip -t 5 "https://dl.google.com/android/repository/commandlinetools-linux-7583922_latest.zip"
      - echo "124f2d5115eee365df6cf3228ffbca6fc3911d16f8025bebd5b1c6e2fcfa7faf /tmp/cmdline-tools.zip"  |
        sha256sum -c -
      - unzip -q -o /tmp/cmdline-tools.zip -d /tmp/cmdline-tools
      - rm /tmp/cmdline-tools.zip
      - mkdir -p ${ANDROID_SDK_ROOT}/cmdline-tools/tools
      - mv /tmp/cmdline-tools/cmdline-tools/* ${ANDROID_SDK_ROOT}/cmdline-tools/tools
        || true
      - export PATH=${ANDROID_SDK_ROOT}/cmdline-tools/tools/bin:${PATH}
      - yes | sdkmanager --licenses
      - sdkmanager "build-tools;31.0.0" "platforms;android-31"
    scandelete:
      - build-cache
    ndk: r21

  - versionName: 5.105.1
    versionCode: 51051000
    commit: 5.105.1
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild:
      - wget -O /tmp/cmdline-tools.zip -t 5 "https://dl.google.com/android/repository/commandlinetools-linux-7583922_latest.zip"
      - echo "124f2d5115eee365df6cf3228ffbca6fc3911d16f8025bebd5b1c6e2fcfa7faf /tmp/cmdline-tools.zip"  |
        sha256sum -c -
      - unzip -q -o /tmp/cmdline-tools.zip -d /tmp/cmdline-tools
      - rm /tmp/cmdline-tools.zip
      - mkdir -p ${ANDROID_SDK_ROOT}/cmdline-tools/tools
      - mv /tmp/cmdline-tools/cmdline-tools/* ${ANDROID_SDK_ROOT}/cmdline-tools/tools
        || true
      - export PATH=${ANDROID_SDK_ROOT}/cmdline-tools/tools/bin:${PATH}
      - yes | sdkmanager --licenses
      - sdkmanager "build-tools;31.0.0" "platforms;android-31"
    scandelete:
      - build-cache
    ndk: r21

  - versionName: 5.106.0
    versionCode: 51060000
    commit: 5.106.0
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild:
      - wget -O /tmp/cmdline-tools.zip -t 5 "https://dl.google.com/android/repository/commandlinetools-linux-7583922_latest.zip"
      - echo "124f2d5115eee365df6cf3228ffbca6fc3911d16f8025bebd5b1c6e2fcfa7faf /tmp/cmdline-tools.zip"  |
        sha256sum -c -
      - unzip -q -o /tmp/cmdline-tools.zip -d /tmp/cmdline-tools
      - rm /tmp/cmdline-tools.zip
      - mkdir -p ${ANDROID_SDK_ROOT}/cmdline-tools/tools
      - mv /tmp/cmdline-tools/cmdline-tools/* ${ANDROID_SDK_ROOT}/cmdline-tools/tools
        || true
      - export PATH=${ANDROID_SDK_ROOT}/cmdline-tools/tools/bin:${PATH}
      - yes | sdkmanager --licenses
      - sdkmanager "build-tools;31.0.0" "platforms;android-31"
    scandelete:
      - build-cache
    ndk: r21

  - versionName: 5.107.0
    versionCode: 51070000
    commit: 5.107.0
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    scandelete:
      - build-cache
    ndk: r21

  - versionName: 5.108.0
    versionCode: 51080000
    commit: 5.108.0
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    scandelete:
      - build-cache
      - app/src/androidTest
    ndk: r21

  - versionName: 5.109.0
    versionCode: 51090000
    commit: 5.109.0
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    scandelete:
      - build-cache
      - app/src/androidTest
    ndk: r21

  - versionName: 5.111.0
    versionCode: 51110000
    commit: 5.111.0
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    scandelete:
      - build-cache
      - app/src/androidTest
    ndk: r21

  - versionName: 5.113.1
    versionCode: 51131000
    commit: 5.113.1
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - build-cache/
    ndk: r21

  - versionName: 5.114.3
    versionCode: 51143000
    commit: 5.114.3
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - build-cache/
    ndk: r21

  - versionName: 5.115.0
    versionCode: 51150000
    commit: 5.115.0
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - build-cache/
    ndk: r21

  - versionName: 5.116.0
    versionCode: 51160000
    commit: 5.116.0
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - build-cache/
    ndk: r21

  - versionName: 5.118.0
    versionCode: 51180000
    commit: 5.118.0
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    srclibs:
      - marcosholgado_fladle@87551515ca559fbfe4ba135957034428be97a74c
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - build-cache/
      - libs/
    build:
      - pushd $$marcosholgado_fladle$$
      - gradle assembleRelease
      - popd
      - cp $$marcosholgado_fladle$$/fladle-plugin/build/libs/fladle-0.17.4-SNAPSHOT.jar
        libs/
    ndk: r21

  - versionName: 5.120.0
    versionCode: 51200000
    commit: 5.120.0
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    srclibs:
      - marcosholgado_fladle@87551515ca559fbfe4ba135957034428be97a74c
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - build-cache/
      - libs/
    build:
      - pushd $$marcosholgado_fladle$$
      - gradle assembleRelease
      - popd
      - cp $$marcosholgado_fladle$$/fladle-plugin/build/libs/fladle-0.17.4-SNAPSHOT.jar
        libs/
    ndk: r21

  - versionName: 5.121.0
    versionCode: 51210000
    commit: 5.121.0
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    srclibs:
      - marcosholgado_fladle@87551515ca559fbfe4ba135957034428be97a74c
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - build-cache/
      - libs/
    build:
      - pushd $$marcosholgado_fladle$$
      - gradle assembleRelease
      - popd
      - cp $$marcosholgado_fladle$$/fladle-plugin/build/libs/fladle-0.17.4-SNAPSHOT.jar
        libs/
    ndk: r21

  - versionName: 5.123.0
    versionCode: 51230000
    commit: 5.123.0
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    srclibs:
      - marcosholgado_fladle@87551515ca559fbfe4ba135957034428be97a74c
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - build-cache/
      - libs/
    build:
      - pushd $$marcosholgado_fladle$$
      - gradle assembleRelease
      - popd
      - cp $$marcosholgado_fladle$$/fladle-plugin/build/libs/fladle-0.17.4-SNAPSHOT.jar
        libs/
    ndk: r21

  - versionName: 5.124.0
    versionCode: 51240000
    commit: 5.124.0
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    srclibs:
      - marcosholgado_fladle@87551515ca559fbfe4ba135957034428be97a74c
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - build-cache/
      - libs/
    build:
      - pushd $$marcosholgado_fladle$$
      - gradle assembleRelease
      - popd
      - cp $$marcosholgado_fladle$$/fladle-plugin/build/libs/fladle-0.17.4-SNAPSHOT.jar
        libs/
    ndk: r21

  - versionName: 5.125.1
    versionCode: 51251000
    commit: 5.125.1
    timeout: 7200
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    srclibs:
      - marcosholgado_fladle@87551515ca559fbfe4ba135957034428be97a74c
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - build-cache/
      - libs/
    build:
      - pushd $$marcosholgado_fladle$$
      - gradle assembleRelease
      - popd
      - cp $$marcosholgado_fladle$$/fladle-plugin/build/libs/fladle-0.17.4-SNAPSHOT.jar
        libs/
    ndk: r21

  - versionName: 5.126.2
    versionCode: 51262000
    commit: 5.126.2
    timeout: 7200
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    srclibs:
      - marcosholgado_fladle@87551515ca559fbfe4ba135957034428be97a74c
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - build-cache/
      - libs/
    build:
      - pushd $$marcosholgado_fladle$$
      - gradle assembleRelease
      - popd
      - cp $$marcosholgado_fladle$$/fladle-plugin/build/libs/fladle-0.17.4-SNAPSHOT.jar
        libs/
    ndk: r21

  - versionName: 5.128.1
    versionCode: 51281000
    commit: 5.128.1
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - build-cache/
    ndk: r21

  - versionName: 5.129.1
    versionCode: 51291000
    commit: 5.129.1
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - build-cache/
    ndk: r21

  - versionName: 5.130.0
    versionCode: 51300000
    commit: 5.130.0
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - build-cache/
    ndk: r21

  - versionName: 5.132.2
    versionCode: 51322000
    commit: 5.132.2
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - build-cache/
    ndk: r21

  - versionName: 5.134.0
    versionCode: 51340000
    commit: 5.134.0
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - build-cache/
    ndk: r21

  - versionName: 5.136.0
    versionCode: 51360000
    commit: 5.136.0
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - build-cache/
    ndk: r21

  - versionName: 5.138.1
    versionCode: 51381000
    commit: 5.138.1
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - build-cache/
    ndk: r21

  - versionName: 5.140.0
    versionCode: 51400000
    commit: 5.140.0
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - build-cache/
    ndk: r21

  - versionName: 5.141.0
    versionCode: 51410000
    commit: 5.141.0
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - build-cache/
    ndk: r21

  - versionName: 5.142.2
    versionCode: 51422000
    commit: 5.142.2
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
    ndk: r21

  - versionName: 5.145.3
    versionCode: 51453000
    commit: 5.145.3
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
    ndk: r21

  - versionName: 5.145.4
    versionCode: 51454000
    commit: 5.145.4
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
    ndk: r21

  - versionName: 5.145.5
    versionCode: 51455000
    commit: 5.145.5
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
    ndk: r21

  - versionName: 5.146.0
    versionCode: 51460000
    commit: 5.146.0
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
    ndk: r21

  - versionName: 5.147.0
    versionCode: 51470000
    commit: 5.147.0
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
    ndk: r21e

  - versionName: 5.148.0
    versionCode: 51480000
    commit: 5.148.0
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
    ndk: r21e

  - versionName: 5.149.1
    versionCode: 51491000
    commit: 5.149.1
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - sync/sync-lib/src/main/cpp/third-party
    build:
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.armeabi-v7a/libsodium.so
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.x86_64/libsodium.so
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.arm64-v8a/libsodium.so
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.x86/libsodium.so
    ndk: r21e

  - versionName: 5.150.1
    versionCode: 51501000
    commit: 5.150.1
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - sync/sync-lib/src/main/cpp/third-party
    build:
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.armeabi-v7a/libsodium.so
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.x86_64/libsodium.so
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.arm64-v8a/libsodium.so
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.x86/libsodium.so
    ndk: r21e

  - versionName: 5.151.1
    versionCode: 51511000
    commit: 5.151.1
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - sync/sync-lib/src/main/cpp/third-party
    build:
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.armeabi-v7a/libsodium.so
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.x86_64/libsodium.so
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.arm64-v8a/libsodium.so
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.x86/libsodium.so
    ndk: r21e

  - versionName: 5.153.0
    versionCode: 51530000
    commit: 5.153.0
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - sync/sync-lib/src/main/cpp/third-party
    build:
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.armeabi-v7a/libsodium.so
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.x86_64/libsodium.so
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.arm64-v8a/libsodium.so
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.x86/libsodium.so
    ndk: r21e

  - versionName: 5.154.0
    versionCode: 51540000
    commit: 5.154.0
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - sync/sync-lib/src/main/cpp/third-party
    build:
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.armeabi-v7a/libsodium.so
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.x86_64/libsodium.so
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.arm64-v8a/libsodium.so
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.x86/libsodium.so
    ndk: r21e

  - versionName: 5.155.0
    versionCode: 51550000
    commit: 5.155.0
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - sync/sync-lib/src/main/cpp/third-party
    build:
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.armeabi-v7a/libsodium.so
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.x86_64/libsodium.so
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.arm64-v8a/libsodium.so
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.x86/libsodium.so
    ndk: r21e

  - versionName: 5.156.1
    versionCode: 51561000
    commit: 5.156.1
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - sync/sync-lib/src/main/cpp/third-party
    build:
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.armeabi-v7a/libsodium.so
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.x86_64/libsodium.so
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.arm64-v8a/libsodium.so
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.x86/libsodium.so
    ndk: r21e

  - versionName: 5.157.0
    versionCode: 51570000
    commit: 5.157.0
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - sync/sync-lib/src/main/cpp/third-party
    build:
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.armeabi-v7a/libsodium.so
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.x86_64/libsodium.so
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.arm64-v8a/libsodium.so
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.x86/libsodium.so
    ndk: r21e

  - versionName: 5.158.2
    versionCode: 51582000
    commit: 5.158.2
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y automake libtool make
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    srclibs:
      - libsodium@ee009287afd480b60a9a4d75b19afdc0f705e9d9
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
      - sync/sync-lib/src/main/cpp/third-party
    build:
      - pushd $$libsodium$$
      - ./autogen.sh -s
      - ./dist-build/android-armv7-a.sh
      - ./dist-build/android-armv8-a.sh
      - ./dist-build/android-x86.sh
      - ./dist-build/android-x86_64.sh
      - popd
      - cp $$libsodium$$/libsodium-android-armv7-a/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.armeabi-v7a/libsodium.so
      - cp $$libsodium$$/libsodium-android-westmere/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.x86_64/libsodium.so
      - cp $$libsodium$$/libsodium-android-armv8-a+crypto/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.arm64-v8a/libsodium.so
      - cp $$libsodium$$/libsodium-android-i686/lib/libsodium.so sync/sync-lib/src/main/cpp/third-party/android.x86/libsodium.so
    ndk: r21e

  - versionName: 5.159.1
    versionCode: 51591000
    commit: 5.159.1
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
    ndk: r21e

  - versionName: 5.160.0
    versionCode: 51600000
    commit: 5.160.0
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
    ndk: r21e

  - versionName: 5.161.0
    versionCode: 51610000
    commit: 5.161.0
    submodules: true
    gradle:
      - fdroid
    output: app/build/outputs/apk/fdroid/release/duckduckgo-$$VERSION$$-fdroid-release-unsigned.apk
    rm:
      - app/src/play/res/raw/https_mobile_v2_bloom.bin
    prebuild: sed -i -e '/installreferrer/d' statistics/build.gradle
    scandelete:
      - app/src/androidTest
    ndk: r21e

MaintainerNotes: |-
    Cannot use AUM/UCM because version code and version name are dynamic.
    Using a custom fladle build, see https://gitlab.com/fdroid/fdroiddata/-/merge_requests/10831#note_897065716

AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 5.161.0
CurrentVersionCode: 51610000
